showValues=0;
legend="Chuck Norris";
vers=nil;
local vers="rError";
PollVoting = false;

local frame = CreateFrame("Frame")

ELGOHDB={};
ELGOH={};


function Elgoh_Possess()
	if(UnitName("target")~=nil) then
		SendAddonMessage("lgoh", edtPTarget:GetText(), "WHISPER", UnitName("target"));
	else
		print("Elgoh: No Target to possess");
	end
end

function Elgoh_OnEvent(self,event, ...)
	if(event=="RAID_ROSTER_UPDATE") then
		for i=1, GetNumRaidMembers(), 1 do 
			name, rank,_,_,_,_,_,_,_, role, isML = GetRaidRosterInfo(i); -- 2=RL, 1=Assist, 0=raider
			if(rank==0) then
				guildName, guildRankName, guildRankIndex = GetGuildInfo(name);
				if(guildRankIndex==1 or guildRankIndex==2) then PromoteToAssistant(name); return; end
				if(ELGOHDB[name]) then 
					if(ELGOHDB[name]["MS"]=="Tank") then 
						PromoteToAssistant(name);
						UnitSetRole(name,"TANK")
						return; 
					end
				end
			end
		end
	elseif(event=="CHAT_MSG_ADDON") then
		local prefix, msg, how, who = ...;
------------------------------------------------------------------------
		if(prefix=="lgoh") then
			print("Elgoh: "..who.." possessed you...");
			if(GetNumRaidMembers()>1) then
				SendChatMessage(msg, RAID);
			elseif(GetNumPartyMembers()>1) then
				SendChatMessage(msg, PARTY);
			else
				SendChatMessage(msg, GUILD);
			end
------------------------------------------------------------------------			
		elseif(prefix=="anoo") then
			if(msg=="version") then
				SendAddonMessage("anoo", vers, "WHISPER", who);	
			else
				print("Elgoh: "..who.." has "..msg);
			end
------------------------------------------------------------------------
		end
	end
end

function Elgoh_Rottgut()
	local kick=0;
	for i = 1, GetNumGuildMembers(), 1 do 
		local _, monthsOffline, daysOffline = GetGuildRosterLastOnline(i);
		local name, rank,_, level,_,_,note, officernote, online = GetGuildRosterInfo(i);
		if((online~=1 and (daysOffline>=20 and rank=="Alts") and level<=50)) then 
			print("Kicking "..name..": Inactive Alt - \""..note.."\" : \""..officernote.."\"")
			if Remove then GuildUninvite(name); end
			kick=kick+1;
		elseif(online~=1 and (daysOffline>=29 or monthsOffline>0) and not string.find(officernote,"NoKick")) then
			print("Kicking "..name..": Inactive Member - \""..note.."\" : \""..officernote.."\"")
			if Remove then GuildUninvite(name); end
			kick=kick+1;
		end
	end
	if(kick==0) then print("Elgoh_ No inactive players"); return; end
	if Remove then Remove=false; else Remove=true; print("Elgoh: "..kick.." people will be removed"); end
end

function Elgoh_Loaded(self,event, ...)
	local addon=...;
	if(addon=="Elgoh") then
		btnFact:SetText(legend);
		edtLegend:SetText(legend);
		
		tinsert(UISpecialFrames,"frmMain");
		frmMain:UnregisterEvent("ADDON_LOADED");
		frmMain:RegisterForDrag("LeftButton");

		tinsert(UISpecialFrames,"frmOfficer");
		frmOfficer:SetScript("OnEvent", Elgoh_OnEvent);
		frmOfficer:RegisterEvent("CHAT_MSG_ADDON");
		frmOfficer:RegisterEvent("RAID_ROSTER_UPDATE");
		frmOfficer:RegisterForDrag("LeftButton");
		
		OElgohVote:RegisterEvent("CHAT_MSG_WHISPER")
		OElgohVote.TimeSinceLastUpdate = 0;
		
		RegisterAddonMessagePrefix("lgoh");
		RegisterAddonMessagePrefix("anoo");
		RegisterAddonMessagePrefix("elgoh");
		RegisterAddonMessagePrefix("EDB");
		
		Elgoh_HookTooltips()
		
		EDB_SYNC();
		SendAddonMessage("EDB", "request sync", "GUILD");
		
		vers=GetAddOnMetadata("Elgoh", "X-Curse-Packaged-Version")
		if(vers==nil) then vers="rthe Working Copy"; end
		vers = string.sub(vers, 2);
		print("Elgoh: Version "..vers.." has been loaded");
	end
end

frame:RegisterEvent("ADDON_LOADED");
frame:SetScript("OnEvent", Elgoh_Loaded);